Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet
Class CustomEventURL

    java.lang.Object
      com.bea.portlet.GenericURL
          com.bea.portlet.PostbackURL
              com.bea.portlet.CustomEventURL

All Implemented Interfaces
  Cloneable

    public class CustomEventURL

extends PostbackURL

The `CustomEventURL` creates a URL that, when clicked, tells the system to generate a custom event.

See Also
  `GenericURL`

Field Summary

Fields inherited from class com.bea.portlet.GenericURL
`COMMUNITY_ADMIN_FLAG_PARAM, COMMUNITY_DESKTOP, CONTROL_STATE_PARAM, CURRENT_PAGE, domain, DOMAIN, EVENT_NAME_PARAM, httpRequest, httpResponse, httpsDomain, LOADSTATE_PARAM, MODE_PARAM, PAGE_LABEL_PARAM, params, PATH, PORT, PORTLET_SUB_INSTANCE_ID, POSTBACK_PARAM, PREFIX, QUERY_STRING, SCHEME, SECURE_PORT, STATE_PARAM, TREE_OPTIMIZATION_PARAM, URL_COMPRESSION, WINDOW_LABEL_PARAM`

Constructor Summary
`protected` | `CustomEventURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse)` Constructs a CustomEventURL.
`protected` | `CustomEventURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, String eventName)` Constructs a CustomEventURL.
`protected` | `CustomEventURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, String eventName, boolean encodeEventName)` Constructs a CustomEventURL.

Method Summary
`Object` | `clone()` Returns a deep copy.
`static CustomEventURL` | `createCustomEventURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse)` Returns a CustomEventURL.
`static CustomEventURL` | `createCustomEventURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, String eventName)` Returns a CustomEventURL.
`static CustomEventURL` | `createCustomEventURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, String eventName, boolean encodeEventName)` Returns a CustomEventURL.
`void` | `setEventName(String eventName)` Sets the event name.
`void` | `setEventName(String eventName, boolean encodeEventName)` Sets the event name.

Methods inherited from class com.bea.portlet.PostbackURL
`createPostbackURL, toString`

Methods inherited from class com.bea.portlet.GenericURL
`addAjaxNoRewriteParam, addParameter, addParameter, addParameter, appendEnsureSeparator, appendEnsureSeparator, createGenericURL, createQueryString, createQueryStringBuilder, getAmpForm, getContextualPath, getDomain, getEncodeSession, getParameter, getParameters, getPath, getPathPrefix, getPort, getResolvedTemplate, getScheme, getSecurePort, getTemplate, getUrlType, removeParameter, setContextualPath, setDomain, setEncodeSession, setForcedAmpForm, setPath, setPathPrefix, setPort, setScheme, setSecurePort, setTemplate, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomEventURL

    protected CustomEventURL(javax.servlet.http.HttpServletRequest httpRequest,
                             javax.servlet.http.HttpServletResponse httpResponse,
                             String eventName)

  Constructs a CustomEventURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `eventName` - event name

### CustomEventURL

    protected CustomEventURL(javax.servlet.http.HttpServletRequest httpRequest,
                             javax.servlet.http.HttpServletResponse httpResponse)

  Constructs a CustomEventURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response

### CustomEventURL

    protected CustomEventURL(javax.servlet.http.HttpServletRequest httpRequest,
                             javax.servlet.http.HttpServletResponse httpResponse,
                             String eventName,
                             boolean encodeEventName)

  Constructs a CustomEventURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `eventName` - event name
    `encodeEventName` - true if the event name should be encoded

Method Detail

### createCustomEventURL

    public static CustomEventURL createCustomEventURL(javax.servlet.http.HttpServletRequest httpRequest,
                                                      javax.servlet.http.HttpServletResponse httpResponse)

  Returns a CustomEventURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
  Returns
    CustomEventURL

### createCustomEventURL

    public static CustomEventURL createCustomEventURL(javax.servlet.http.HttpServletRequest httpRequest,
                                                      javax.servlet.http.HttpServletResponse httpResponse,
                                                      String eventName)

  Returns a CustomEventURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `eventName` - event name
  Returns
    CustomEventURL

### createCustomEventURL

    public static CustomEventURL createCustomEventURL(javax.servlet.http.HttpServletRequest httpRequest,
                                                      javax.servlet.http.HttpServletResponse httpResponse,
                                                      String eventName,
                                                      boolean encodeEventName)

  Returns a CustomEventURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `eventName` - event name
    `encodeEventName` - true if the event name should be encoded
  Returns
    CustomEventURL

### setEventName

    public void setEventName(String eventName,
                             boolean encodeEventName)

  Sets the event name.

  Parameters
    `eventName` - the custom event name to be fired
    `encodeEventName` - true if the event name should be encoded

### setEventName

    public void setEventName(String eventName)

  Sets the event name.

  Parameters
    `eventName` - the custom event name to be fired

### clone

    public Object clone()

  Returns a deep copy.

  Overrides:
    `clone` in class `PostbackURL`
  Returns
    clone

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved